Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.validators
Class StatusCodeValidator

    java.lang.Object
      |
      +--org.apache.commons.latka.validators.BaseValidator
            |
            +--org.apache.commons.latka.validators.StatusCodeValidator

All Implemented Interfaces:
  Validator

public class StatusCodeValidator
extends BaseValidator
implements Validator

Constructor Summary
`StatusCodeValidator()`
`StatusCodeValidator(int code)`
`StatusCodeValidator(java.lang.String label)`
`StatusCodeValidator(java.lang.String label, int code)`

Method Summary
`void` | `setStatusCode(int statusCode)`
`void` | `validate(Response response)` Run custom validation.

Methods inherited from class org.apache.commons.latka.validators.BaseValidator
`getLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusCodeValidator

    public StatusCodeValidator()

### StatusCodeValidator

    public StatusCodeValidator(int code)

### StatusCodeValidator

    public StatusCodeValidator(java.lang.String label)

### StatusCodeValidator

    public StatusCodeValidator(java.lang.String label,
                               int code)

Method Detail

### setStatusCode

    public void setStatusCode(int statusCode)

### validate

    public void validate(Response response)
                  throws ValidationException

  Description copied from interface: `Validator`
  Run custom validation. Latka will provide the HTTP response to this method. The implementer should throw a ValidationException if the Response fails to meet the validation criteria.
  Specified by:
    `validate` in interface `Validator`
  Overrides:
    `validate` in class `BaseValidator`
  Following copied from interface: `org.apache.commons.latka.Validator`
  Parameters:
    `response` - the HTTP response
  Throws:
    `ValidationException` - if the Response fails to be valid

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.